/*
 * util.c -- 
 * 
 * Common utility routines.
 *
 * $Id: util.c,v 1.5 95/07/24 16:25:34 tfisher Exp Locker: tfisher $
 */

#include <stdio.h>
#include <sys/types.h>

/* Routines. */
int	parse_args();
char	*alloc();
char	*basename();

int
parse_args(
	int argc,
	char *argv[],
	char **host,
	int *size)
{
	if (argc != 3) {
		printf("Usage: %s host packetsize\n", 
		    basename(argv[0]));
		return (-1);
	}
	if (host != NULL)
		*host = argv[1];
	*size = atoi(argv[2]);
	return (0);
}

/*
 * alloc() --
 * Allocate a properly aligned buffer.
 */
char *
alloc(int size)
{
	int adj_size; 
	int buf_align;
	int buf_offset;
	char *buf;
	char *buf_base;

	buf_align = 8;
	buf_offset = 0;

	adj_size = size + buf_align + buf_offset;
	buf_base = (char *)malloc(adj_size);
	if (buf_base == 0) {
		printf("malloc() failed.\n");
		exit(1);
	}

	buf = (u_char *) (((long)buf_base + 
	    (long)buf_align - 1) & ~((long)buf_align - 1));
	buf = buf + buf_offset;
	return (buf);
}

char *
basename(s)
	char *s;
{
	register char *p;

	p = s + strlen (s) - 1;
	while (p >= s && *p != '/')
		--p;
	return (++p);
}
