/*
 * atp_util.c
 * Tom Fisher and Hong Xu
 * Copyright (c) 1995 by the University of Southern California
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation in source and binary forms for non-commercial purposes
 * and without fee is hereby granted, provided that the above copyright
 * notice appear in all copies and that both the copyright notice and
 * this permission notice appear in supporting documentation, and that
 * any documentation, advertising materials, and other materials related
 * to such distribution and use acknowledge that the software was
 * developed by the University of Southern California, Information
 * Sciences Institute.  The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 *
 * THE UNIVERSITY OF SOUTHERN CALIFORNIA makes no representations about
 * the suitability of this software for any purpose.  THIS SOFTWARE IS
 * PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * Other copyrights might apply to parts of this software and are so
 * noted when applicable.
 *
 * $Id: atp_util.c,v 1.10 95/06/27 14:31:14 tfisher Exp Locker: tfisher $
 */

#include <stdio.h>
#include <errno.h>
#include <varargs.h>
#include <sys/types.h>
#include <sys/time.h>

/* Externals. */
extern	int	errno;
extern	int	fflush();
extern	int	_flsbuf();
extern	int	gettimeofday();
extern	char	*sys_errlist[];

/* Exported routines. */
void	debug(char *, int);


inline void
debug(fmt, va_alist)
	char *fmt;
	va_dcl
{
#ifdef DEBUGXXX
	va_list ap;

	va_start(ap);
	vfprintf(stdout, fmt, ap);
	va_end(ap);
	fflush(stdout);
#endif
}
